Please switch to Ayatana AppIndicator

Bug #1760691 reported by Mike Gabriel
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Expired
Wishlist
Unassigned

Bug Description

There currently is an initiative going on in Debian and Ubuntu to make Indicators globally available, esp. available to non-Ubuntu systemes.

For this, we are sending out patches to various applications that build-depend on libappindicator*-dev.

Here is a patch against update-notifier 3.189 that brings this change.

Thanks,
Mike

Tags: patch
Revision history for this message
Mike Gabriel (sunweaver) wrote :
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "Switch to Ayatana AppIndicator" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Revision history for this message
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, that's late for a such change this cycle. Also libayatana-appindicator is in universe and would need to be promoted to main first (https://wiki.ubuntu.com/MainInclusionProcess)

Changed in update-notifier (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
Sebastien Bacher (seb128) wrote :

Unsubscribing sponsors, that's not ready for upload until the source is promoted

Revision history for this message
Mike Gabriel (sunweaver) wrote : Re: [Bug 1760691] Re: Please switch to Ayatana AppIndicator

Hi Sebastien,

On Mi 04 Apr 2018 09:18:22 CEST, Sebastien Bacher wrote:

> Thank you for your bug report, that's late for a such change this cycle.
> Also libayatana-appindicator is in universe and would need to be
> promoted to main first (https://wiki.ubuntu.com/MainInclusionProcess)
>
> ** Changed in: update-notifier (Ubuntu)
> Importance: Undecided => Wishlist

this is for 18.10 anyway... Long term thing this is...

Mike
--

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22 0782 9AF4 6B30 2577 1B31
mail: <email address hidden>, http://das-netzwerkteam.de

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.5

---------------
update-notifier (3.192.5) cosmic; urgency=medium

  * Fix PEP8 errors

update-notifier (3.192.4) cosmic; urgency=medium

  * package-data-downloader: Only print processing messages if we
    should download stuff, or if an expected exception occured
    (LP: #1641671)

 -- Julian Andres Klode <email address hidden> Tue, 29 May 2018 09:38:23 +0200

Changed in update-notifier (Ubuntu):
status: New → Fix Released
Revision history for this message
Mike Gabriel (sunweaver) wrote :

Hi,

did you probably close the wrong bug here?

Mike

On Tuesday, May 29, 2018, Launchpad Bug Tracker wrote:
> This bug was fixed in the package update-notifier - 3.192.5
>
> ---------------
> update-notifier (3.192.5) cosmic; urgency=medium
>
> * Fix PEP8 errors
>
> update-notifier (3.192.4) cosmic; urgency=medium
>
> * package-data-downloader: Only print processing messages if we
> should download stuff, or if an expected exception occured
> (LP: #1641671)
>
> -- Julian Andres Klode <email address hidden> Tue, 29 May 2018 09:38:23
> +0200
>
> ** Changed in: update-notifier (Ubuntu)
> Status: New => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1760691
>
> Title:
> Please switch to Ayatana AppIndicator
>
> Status in update-notifier package in Ubuntu:
> Fix Released
>
> Bug description:
> There currently is an initiative going on in Debian and Ubuntu to make
> Indicators globally available, esp. available to non-Ubuntu systemes.
>
> For this, we are sending out patches to various applications that
> build-depend on libappindicator*-dev.
>
> Here is a patch against update-notifier 3.189 that brings this change.
>
> Thanks,
> Mike
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1760691/+subscriptions
>

--
Sent from my Fairphone (powered by SailfishOS)

Unit 193 (unit193)
Changed in update-notifier (Ubuntu):
status: Fix Released → Confirmed
Revision history for this message
Steve Langasek (vorlon) wrote :

The bug was previously closed because the patch was uploaded in update-notifier 3.192.2, which never migrated to the release pocket and was subsequently reverted in the upload that did migrate.

libayatana-appindicator is still in universe, with no open MIR bug. libappindicator is in main and maintained by the Ubuntu Desktop Team, libayatana-appindicator has no team that has signed up to be responsible for it in Ubuntu main. Marking this incomplete as it would be inappropriate to introduce this change before there is a committment by the Desktop Team to trade libappindicator for libayatana-appindicator in main.

Changed in update-notifier (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for update-notifier (Ubuntu) because there has been no activity for 60 days.]

Changed in update-notifier (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers